SQL Query Plugin 1.2.3 and build 963

Hi,

When starting Idea I get following error.

Can somone help 8-)

Regards Peter Lerche
http://easyspeedy.com

Error message: ComponentSetup for component com.kiwisoft.idea.SQLQueryPlugin
already registered
java.lang.Throwable
at com.intellij.openapi.diagnostic.Logger.error(Logger.java:57)
at com.intellij.openapi.components.b.a.a(a.java:57)
at com.intellij.openapi.components.b.a.a(a.java:157)
at com.intellij.openapi.project.a.d.z(d.java:51)
at com.intellij.openapi.project.a.b.b(b.java:102)
at com.intellij.openapi.project.a.b.readExternal(b.java:169)
at com.intellij.openapi.components.b.a.a(a.java:145)
at com.intellij.openapi.components.b.a.a(a.java:38)
at com.intellij.openapi.components.b.a.getComponent(a.java:30)
at com.intellij.openapi.project.ex.b.a(b.java:1)
at com.intellij.openapi.fileEditor.a.d.initComponent(d.java:100)
at com.intellij.openapi.components.b.a.a(a.java:29)
at com.intellij.openapi.components.b.a.getComponent(a.java:30)
at com.intellij.openapi.components.b.a.m(a.java:43)
at com.intellij.openapi.components.b.a.h(a.java:39)
at com.intellij.openapi.application.a.b.a(b.java:173)
at com.intellij.idea.c.b(c.java:6)
at com.intellij.idea.Main$4.run(Main$4.java:1)

2 comments

I got this the other day and discovered it was because I actually had two versions of the plugin in my plugins directory.

The old version I had installed was a jar. The updated version I downloaded with the Plugin Manager was an exploded directory. So, when I restarted, IDEA saw two of the same plugin and threw the "already registered" error.

Check your plugins directory for a duplicate of the plugin.

Hope that helps,

chris

0

Check your plugins directory for a duplicate of the plugin.


I had same issue, only difference was that I had plugin source files in the plugin folder.
..that make Idea throw above mentioned error..
hth
-m


0

Please sign in to leave a comment.